"""Add Kodi instances table

Revision ID: 68d8f4d96043
Revises: 
Create Date: 2022-05-04 01:35:12.791868

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '68d8f4d96043'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'kodi-instances',
        sa.Column('id', sa.Integer, primary_key=True),
        sa.Column('webserver-proto', sa.String(10), nullable=False, server_default="ws"),
        sa.Column('webserver-addr', sa.String(40), nullable=False, server_default="localhost"),
        sa.Column('webserver-port', sa.Integer, nullable=False, server_default="8080"),
        sa.Column('webserver-jsonrpcpath', sa.String(10), nullable=False, server_default="/jsonrpc"),
        sa.Column('webserver-username', sa.String(48)),
        sa.Column('webserver-password', sa.String(48))
    )


def downgrade():
    op.drop_table('kodi-instances')
